const API_KEY = process.env.TELA_API_KEY;const testCaseId = 'test_case_uuid';const updateData = { title: "Updated Customer Support Query Test", expectedOutput: "I'll help you track down your order right away, John. Let me check the status of order ORD-12345.", messages: [ { role: "system", content: "You are a helpful and efficient customer support assistant." }, { role: "user", content: "My order hasn't arrived yet." } ]};const response = await fetch(`https://api.tela.ai/test-case/${testCaseId}`, { method: 'PATCH', headers: { 'Authorization': `Bearer ${API_KEY}`, 'Content-Type': 'application/json' }, body: JSON.stringify(updateData)});const data = await response.json();console.log(data);
import requestsAPI_KEY = os.getenv('TELA_API_KEY')test_case_id = 'test_case_uuid'update_data = { "title": "Updated Customer Support Query Test", "expectedOutput": "I'll help you track down your order right away, John. Let me check the status of order ORD-12345.", "messages": [ { "role": "system", "content": "You are a helpful and efficient customer support assistant." }, { "role": "user", "content": "My order hasn't arrived yet." } ]}response = requests.patch( f'https://api.tela.ai/test-case/{test_case_id}', headers={ 'Authorization': f'Bearer {API_KEY}', 'Content-Type': 'application/json' }, json=update_data)print(response.json())
const API_KEY = process.env.TELA_API_KEY;const testCaseId = 'test_case_uuid';const updateData = { title: "Updated Customer Support Query Test", expectedOutput: "I'll help you track down your order right away, John. Let me check the status of order ORD-12345.", messages: [ { role: "system", content: "You are a helpful and efficient customer support assistant." }, { role: "user", content: "My order hasn't arrived yet." } ]};fetch(`https://api.tela.ai/test-case/${testCaseId}`, { method: 'PATCH', headers: { 'Authorization': `Bearer ${API_KEY}`, 'Content-Type': 'application/json' }, body: JSON.stringify(updateData)}).then(response => response.json()).then(data => { console.log(data);}).catch(error => { console.error('Error:', error);});
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Tela","colors":{"primary":"#171717","light":"#EBECED","dark":"#171717"},"logo":{"light":"https://mintcdn.com/meistrari/pblu7JGV78zF0-_0/logo/tela-docs-logo-light.svg?fit=max\u0026auto=format\u0026n=pblu7JGV78zF0-_0\u0026q=85\u0026s=2203db70c6af3499a392576fba857701","dark":"https://mintcdn.com/meistrari/pblu7JGV78zF0-_0/logo/tela-docs-logo-dark.svg?fit=max\u0026auto=format\u0026n=pblu7JGV78zF0-_0\u0026q=85\u0026s=a654991459d67d985930d693c2c84d53"},"favicon":"https://mintcdn.com/meistrari/pblu7JGV78zF0-_0/favicon.svg?fit=max\u0026auto=format\u0026n=pblu7JGV78zF0-_0\u0026q=85\u0026s=d467e03abcb66668deda7bd0eb39b121","background":{"color":{"dark":"#020913"}},"navbar":{"primary":{"type":"button","label":"Open Dashboard","href":"https://tela.com/app/dashboard"}},"search":{"prompt":"Search in TelaDocs"},"fonts":{"family":"Inter"},"styling":{"latex":false},"navigation":{"languages":[{"language":"en","default":true,"href":"en/welcome"},{"language":"pt-BR","href":"pt/welcome"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"meistrari","hasAudioNarration":false,"actualSubdomain":"meistrari","customDomains":["docs.tela.com"],"gitSource":{"type":"github","owner":"meistrari","repo":"tela-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae399c78fc5c9e41494669d","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"API Reference","count":67},{"language":"en","tag":"Documentation","count":54},{"language":"pt-BR","tag":"Documentação","count":54},{"language":"en","tag":"Build","count":26},{"language":"pt-BR","tag":"Construir","count":26},{"language":"en","tag":"Integrate","count":12},{"language":"pt-BR","tag":"Integrar","count":12},{"language":"default","tag":"Workstation Events","count":10},{"language":"en","tag":"Workflow","count":10},{"language":"pt-BR","tag":"Workflow","count":10},{"language":"default","tag":"Versions","count":9},{"language":"default","tag":"Tasks","count":9},{"language":"default","tag":"Test case tags","count":9},{"language":"default","tag":"Test cases","count":8},{"language":"en","tag":"Agent","count":8},{"language":"pt-BR","tag":"Agente","count":8},{"language":"en","tag":"Completion API","count":7},{"language":"pt-BR","tag":"Completion API","count":7},{"language":"default","tag":"Environments","count":6},{"language":"en","tag":"Canvas","count":6},{"language":"en","tag":"Operate","count":6},{"language":"pt-BR","tag":"Canvas","count":6},{"language":"pt-BR","tag":"Operar","count":6},{"language":"default","tag":"Version messages","count":5},{"language":"en","tag":"Workstation","count":5},{"language":"en","tag":"Get started","count":5},{"language":"pt-BR","tag":"Workstation","count":5},{"language":"pt-BR","tag":"Primeiros passos","count":5},{"language":"default","tag":"Completions","count":3},{"language":"default","tag":"Workflow runs","count":3}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":":root{--tela-text-primary: #262626;--tela-text-secondary: #737373;--tela-text-contrast: #171717;--tela-border: #e8e8e8;--tela-bg-hover: #f5f5f5;--tela-bg-active: #e8e8e8;--tela-weight-medium: 460;--tela-weight-semibold: 540;--tela-weight-heading: 520}html.dark{--tela-text-primary: #e8e8e8;--tela-text-secondary: #a3a3a3;--tela-text-contrast: #ffffff;--tela-border: rgba(255, 255, 255, 0.08);--tela-bg-hover: rgba(255, 255, 255, 0.04);--tela-bg-active: rgba(255, 255, 255, 0.08)}body{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}#navbar-transition{border-bottom:0.5px solid var(--tela-border)}#sidebar{border-right:0.5px solid var(--tela-border)}#sidebar .sidebar-group-header{font-size:12px;line-height:16px;font-weight:var(--tela-weight-semibold);letter-spacing:0.05em;text-transform:uppercase;color:var(--tela-text-secondary)}#sidebar li>a,#sidebar li>button{border-radius:10px;font-size:14px;line-height:18px;letter-spacing:-0.15px;font-weight:var(--tela-weight-medium);color:var(--tela-text-secondary)}#sidebar li>a:hover,#sidebar li>button:hover{background-color:var(--tela-bg-hover);color:var(--tela-text-primary)}#sidebar li[data-active-nav-item=\"true\"]>a{background-color:var(--tela-bg-active);color:var(--tela-text-primary);font-weight:var(--tela-weight-semibold);text-shadow:none}#sidebar li[data-active-nav-item=\"true\"]>a svg{background-color:var(--tela-text-primary)}[data-layout-item=\"toc-item-link\"]{font-size:12px;line-height:16px;color:var(--tela-text-secondary)}[data-layout-item=\"toc-item-link\"][data-active=\"true\"],[data-layout-item=\"toc-item-link\"]:hover{color:var(--tela-text-contrast)}#header .eyebrow{font-size:12px;line-height:16px;font-weight:var(--tela-weight-semibold);letter-spacing:0.05em;text-transform:uppercase;color:var(--tela-text-secondary)}#page-title{font-size:32px;line-height:36px;letter-spacing:-1px;font-weight:var(--tela-weight-heading);color:var(--tela-text-contrast)}#content-area .mdx-content{color:var(--tela-text-primary);font-size:16px;line-height:28px;letter-spacing:-0.18px}#content-area .mdx-content h2{font-size:24px;line-height:28px;letter-spacing:-0.8px;font-weight:var(--tela-weight-heading);color:var(--tela-text-contrast)}#content-area .mdx-content h3{font-size:20px;line-height:24px;letter-spacing:-0.5px;font-weight:var(--tela-weight-heading);color:var(--tela-text-contrast)}#content-area .mdx-content h4{font-size:16px;line-height:20px;letter-spacing:-0.2px;font-weight:var(--tela-weight-heading);color:var(--tela-text-contrast)}#content-area .mdx-content h5{font-size:14px;line-height:16px;letter-spacing:-0.15px;font-weight:var(--tela-weight-heading);color:var(--tela-text-contrast)}#content-area .mdx-content h6{font-size:12px;line-height:14px;letter-spacing:-0.1px;font-weight:var(--tela-weight-heading);color:var(--tela-text-contrast)}#content-area .mdx-content strong{font-weight:var(--tela-weight-semibold)}#content-area .mdx-content .card,#content-area .mdx-content .callout{border-radius:12px}#content-area .mdx-content .card{border:0.5px solid var(--tela-border)}#content-area .mdx-content .frame{width:fit-content;max-width:100%;margin-inline:auto}#content-area .mdx-content .frame img{width:auto;max-width:100%;max-height:560px}"}],"page":{"pagePath":"api-reference/test-case/update","slug":"/api-reference/test-case/update","pageMetadata":{"title":"Update Test Case","description":"Update an existing test case","openapi":"PATCH /test-case/{id}","href":"/api-reference/test-case/update"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update an existing test case\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Update an existing test case by its unique identifier.`}),`\n`,_jsx(Heading,{level:`2`,id:`update-a-test-case`,children:`Update a Test Case`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:``,numberOfLines:`29`,language:`typescript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`typescript`,children:_jsxs(_components.code,{language:`typescript`,numberOfLines:`29`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` API_KEY`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` process`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`env`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:`TELA_API_KEY`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` testCaseId`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'test_case_uuid'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` updateData`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` title:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Updated Customer Support Query Test\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` expectedOutput:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"I'll help you track down your order right away, John. Let me check the status of order ORD-12345.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` messages:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` role:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"system\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` content:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"You are a helpful and efficient customer support assistant.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` role:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"user\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` content:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"My order hasn't arrived yet.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`};`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`https://api.tela.ai/test-case/\"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`testCaseId`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'PATCH'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `Bearer \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:`API_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'application/json'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`updateData`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:``,numberOfLines:`30`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`30`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#D4D4D4`},children:`API_KEY`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` os.getenv(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'TELA_API_KEY'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`test_case_id `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'test_case_uuid'`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`update_data `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Updated Customer Support Query Test\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"expectedOutput\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"I'll help you track down your order right away, John. Let me check the status of order ORD-12345.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"messages\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"system\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"content\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"You are a helpful and efficient customer support assistant.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"user\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"content\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"My order hasn't arrived yet.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.patch(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.tela.ai/test-case/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`test_case_id`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Bearer `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#D4D4D4`},children:`API_KEY`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'application/json'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` json`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`update_data`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(response.json())`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:``,numberOfLines:`33`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`33`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` API_KEY`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` process`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`env`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:`TELA_API_KEY`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` testCaseId`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'test_case_uuid'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` updateData`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` title:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Updated Customer Support Query Test\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` expectedOutput:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"I'll help you track down your order right away, John. Let me check the status of order ORD-12345.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` messages:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` role:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"system\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` content:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"You are a helpful and efficient customer support assistant.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` role:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"user\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` content:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"My order hasn't arrived yet.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`};`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`https://api.tela.ai/test-case/\"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`testCaseId`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'PATCH'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `Bearer \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:`API_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'application/json'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`updateData`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`})`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`then`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` =>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`())`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`then`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` =>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`})`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`catch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`error`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` =>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`error`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Error:'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`error`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`3`,id:`parameters`,children:`Parameters`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Description`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`id`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`The UUID of the test case to update`})]})})]}),`\n`,_jsx(Heading,{level:`3`,id:`request-body`,children:`Request Body`}),`\n`,_jsx(_components.p,{children:`The request body can include any of the following fields to update. Only include the fields you want to modify.`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`title`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Title of the test case`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`messages`})}),_jsx(_components.td,{children:`array`}),_jsx(_components.td,{children:`Array of message objects with role and content`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`variables`})}),_jsx(_components.td,{children:`object`}),_jsx(_components.td,{children:`Key-value pairs of variables used in the test case`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`variablesRichContent`})}),_jsx(_components.td,{children:`object`}),_jsx(_components.td,{children:`Key-value pairs of rich content variables`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`files`})}),_jsx(_components.td,{children:`array`}),_jsx(_components.td,{children:`Array of file objects to attach to the test case`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`promptId`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`UUID of the prompt this test case belongs to`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`expectedOutput`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Expected output for evaluation purposes`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`answers`})}),_jsx(_components.td,{children:`object`}),_jsx(_components.td,{children:`Evaluation answers with good/bad results and evals`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`promptApplicationId`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`UUID of the prompt application if applicable`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`metadata`})}),_jsx(_components.td,{children:`object`}),_jsx(_components.td,{children:`Metadata about the test case including source`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(_components.p,{children:`The response will contain the updated test case with all fields reflecting the changes.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update Test Case","description":"Update an existing test case","openapi":"PATCH /test-case/{id}","href":"/api-reference/test-case/update"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Update a Test Case","slug":"update-a-test-case","depth":2,"children":[{"title":"Parameters","slug":"parameters","depth":3,"children":[]},{"title":"Request Body","slug":"request-body","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]}]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/meistrari/7fb0cf41bd7567c7/scripts/code-samples/chat/completions/v2/example.js"],"openApiReferenceData":{"operation":{"description":"Update an existing test case","parameters":["c7a1c471-0192-40ab-894b-67b6513ad211"],"requestBody":"f76fc8eb-e585-4e9f-9956-17b065efbdf7","responses":{"200":"894487d9-051a-4857-910d-1b25dd6c336a"},"method":"patch","type":"path","servers":["f8c8ecf7-c25f-4e5a-8e20-c44514cb2cac"],"security":[],"path":"/test-case/{id}","baseUrlOptions":["https://api.tela.com"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"c7a1c471-0192-40ab-894b-67b6513ad211":{"name":"id","in":"path","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Title of the test case","uniqueKey":"title","typeLabel":"string"},"variablesRichContent":{"type":"object","description":"Key-value pairs of rich content variables","additionalProperties":{"type":"string","uniqueKey":"variablesRichContent.additionalProperties","typeLabel":"string"},"uniqueKey":"variablesRichContent","typeLabel":"object"},"promptId":{"type":"string","format":"uuid","description":"UUID of the prompt this test case belongs to","uniqueKey":"promptId","typeLabel":"string\u003cuuid>"},"expectedOutput":{"oneOf":[{"type":"string","description":"Expected output for evaluation purposes","uniqueKey":"expectedOutput.oneOf.0","typeLabel":"string"},{"type":"null","description":"Expected output for evaluation purposes","uniqueKey":"expectedOutput.oneOf.1","typeLabel":"null"}],"uniqueKey":"expectedOutput","typeLabel":"string | null"},"promptApplicationId":{"oneOf":[{"type":"string","format":"uuid","description":"UUID of the prompt application if applicable","uniqueKey":"promptApplicationId.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","description":"UUID of the prompt application if applicable","uniqueKey":"promptApplicationId.oneOf.1","typeLabel":"null"}],"uniqueKey":"promptApplicationId","typeLabel":"string\u003cuuid> | null"},"messages":{"type":"array","description":"Array of message objects with role and content","items":{"type":"object","properties":{"role":{"type":"string","enum":["user","system","assistant","function","developer"],"isRequired":true,"uniqueKey":"messages.items.[INDEX].role","typeLabel":"enum\u003cstring>"},"content":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"messages.items.[INDEX].content.oneOf.0","typeLabel":"string"},{"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"messages.items.[INDEX].content.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"messages.items.[INDEX].content","typeLabel":"string | object"}},"required":["role","content"],"uniqueKey":"messages.items.[INDEX]","typeLabel":"object"},"uniqueKey":"messages","typeLabel":"object[]"},"variables":{"oneOf":[{"type":"object","description":"Key-value pairs of variables used in the test case","additionalProperties":{"type":"string","uniqueKey":"variables.oneOf.0.additionalProperties","typeLabel":"string"},"uniqueKey":"variables.oneOf.0","typeLabel":"object"},{"type":"null","description":"Key-value pairs of variables used in the test case","additionalProperties":{"type":"string","uniqueKey":"variables.oneOf.1.additionalProperties","typeLabel":"string"},"uniqueKey":"variables.oneOf.1","typeLabel":"null"}],"uniqueKey":"variables","typeLabel":"object | null"},"files":{"oneOf":[{"type":"array","description":"Array of file objects to attach to the test case","items":{"type":"object","properties":{"index":{"type":"number","isRequired":true,"uniqueKey":"files.oneOf.0.items.[INDEX].index","typeLabel":"number"},"name":{"type":"string","isRequired":true,"uniqueKey":"files.oneOf.0.items.[INDEX].name","typeLabel":"string"},"mimeType":{"type":"string","isRequired":true,"uniqueKey":"files.oneOf.0.items.[INDEX].mimeType","typeLabel":"string"},"vaultUrl":{"type":"string","isRequired":true,"uniqueKey":"files.oneOf.0.items.[INDEX].vaultUrl","typeLabel":"string"},"variableName":{"type":"string","isRequired":true,"uniqueKey":"files.oneOf.0.items.[INDEX].variableName","typeLabel":"string"},"url":{"type":"string","isRequired":true,"uniqueKey":"files.oneOf.0.items.[INDEX].url","typeLabel":"string"}},"required":["index","name","mimeType","vaultUrl","variableName","url"],"uniqueKey":"files.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"files.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"Array of file objects to attach to the test case","items":{"type":"object","properties":{"index":{"type":"number"},"name":{"type":"string"},"mimeType":{"type":"string"},"vaultUrl":{"type":"string"},"variableName":{"type":"string"},"url":{"type":"string"}},"required":["index","name","mimeType","vaultUrl","variableName","url"]},"uniqueKey":"files.oneOf.1","typeLabel":"null"}],"uniqueKey":"files","typeLabel":"object[] | null"},"metadata":{"type":"object","description":"Metadata about the test case","properties":{"source":{"type":"string","enum":["workstation","craft","test-case"],"uniqueKey":"metadata.source","typeLabel":"enum\u003cstring>"}},"uniqueKey":"metadata","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"title":"\u003cstring>","variablesRichContent":{},"promptId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","expectedOutput":"\u003cstring>","promptApplicationId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","messages":[{"content":"\u003cstring>"}],"variables":{},"files":[{"index":123,"name":"\u003cstring>","mimeType":"\u003cstring>","vaultUrl":"\u003cstring>","variableName":"\u003cstring>","url":"\u003cstring>"}],"metadata":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"894487d9-051a-4857-910d-1b25dd6c336a":{"description":"Test case updated successfully","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{},"servers":{"f8c8ecf7-c25f-4e5a-8e20-c44514cb2cac":{"url":"https://api.tela.com"}}},"originalFileLocation":"api-reference/openapi.yml"},"subdomain":"meistrari","siteName":"Tela","title":"Update Test Case - Tela","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-reference/test-case/update","matchLevel":0},"pt-BR":{"href":"/api-reference/test-case/update","matchLevel":0}}},"lastModified":"2025-10-17T15:09:34.392Z","originalFileLocation":"api-reference/test-case/update.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update an existing test case\">\u003cmeta data-mint-head name=\"application-name\" content=\"Tela\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/meistrari/iDbVYACJhr5G8i3-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/meistrari/iDbVYACJhr5G8i3-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/meistrari/iDbVYACJhr5G8i3-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/meistrari/iDbVYACJhr5G8i3-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/meistrari/iDbVYACJhr5G8i3-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/meistrari/iDbVYACJhr5G8i3-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/meistrari/iDbVYACJhr5G8i3-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/meistrari/iDbVYACJhr5G8i3-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/meistrari/iDbVYACJhr5G8i3-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update Test Case - Tela\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update an existing test case\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Tela\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.tela.com/api-reference/test-case/update\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://meistrari.mintlify.site/_mintlify/api/og/v2?division=Test+cases\u0026amp;title=Update+Test+Case\u0026amp;description=Update+an+existing+test+case\u0026amp;theme=9e774641ea1764eceaf3a9a9\u0026amp;signature=2be01e896c020592677837c7650416c4a59b5b960fe6fb3bc4ca884fa78cbe02\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update Test Case - Tela\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update an existing test case\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://meistrari.mintlify.site/_mintlify/api/og/v2?division=Test+cases\u0026amp;title=Update+Test+Case\u0026amp;description=Update+an+existing+test+case\u0026amp;theme=9e774641ea1764eceaf3a9a9\u0026amp;signature=2be01e896c020592677837c7650416c4a59b5b960fe6fb3bc4ca884fa78cbe02\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/meistrari/iDbVYACJhr5G8i3-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Tela\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#171717\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.tela.com/api-reference/test-case/update\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/test-case/update.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.tela.com/#organization\",\"name\":\"Tela\",\"url\":\"https://docs.tela.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/meistrari/pblu7JGV78zF0-_0/logo/tela-docs-logo-light.svg?fit=max\u0026auto=format\u0026n=pblu7JGV78zF0-_0\u0026q=85\u0026s=2203db70c6af3499a392576fba857701\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.tela.com#website\",\"name\":\"Tela\",\"url\":\"https://docs.tela.com\",\"publisher\":{\"@id\":\"https://docs.tela.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.tela.com/api-reference/test-case/update#webpage\",\"url\":\"https://docs.tela.com/api-reference/test-case/update\",\"name\":\"Update Test Case\",\"description\":\"Update an existing test case\",\"dateModified\":\"2025-10-17T15:09:34.392Z\",\"isPartOf\":{\"@id\":\"https://docs.tela.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.tela.com/api-reference/test-case/update#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.tela.com/api-reference/test-case/update#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Test cases\",\"item\":\"https://docs.tela.com/api-reference/test-case/get\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update Test Case\",\"item\":\"https://docs.tela.com/api-reference/test-case/update\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.tela.com/api-reference/test-case/update#apireference\",\"headline\":\"Update Test Case\",\"name\":\"Update Test Case\",\"description\":\"Update an existing test case\",\"url\":\"https://docs.tela.com/api-reference/test-case/update\",\"mainEntityOfPage\":{\"@id\":\"https://docs.tela.com/api-reference/test-case/update#webpage\"},\"dateModified\":\"2025-10-17T15:09:34.392Z\",\"publisher\":{\"@id\":\"https://docs.tela.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.tela.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Tela\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Tela\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/test-case/update.md","siteName":"Tela","nav":{"global":null,"languages":[{"language":"en","default":true,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/en/welcome"}]},{"tab":"API Reference","groups":[{"group":"Introduction","pages":[{"title":"Introduction","icon":"book-open","href":"/api-reference/introduction"}]},{"group":"Completions","pages":[{"title":"Run Canvas","openapi":"POST /v2/chat/completions","href":"/api-reference/completion/create"},{"title":"Retrieve Canvas Run","openapi":"GET /v2/chat/completions/{id}","href":"/api-reference/completion/get"},{"title":"List completion runs","openapi":"GET /v1/completion-run","href":"/api-reference/completion-run/get-v1-completion-run"}]},{"group":"Files","pages":[{"title":"Upload a File","openapi":"POST /v2/file","href":"/api-reference/file/create"},{"title":"Upload a File (v3)","openapi":"POST /v3/files","href":"/api-reference/file/upload"}]},{"group":"Canvases","pages":[{"title":"List canvases","openapi":"GET /prompt","href":"/api-reference/canvas/get-prompt"},{"title":"Get a canvas","openapi":"GET /prompt/{id}","href":"/api-reference/canvas/get-prompt-id"}]},{"group":"Versions","pages":[{"title":"List Prompt Versions","openapi":"GET /prompt-version","href":"/api-reference/prompt-version/get"},{"title":"Create Prompt Version","openapi":"POST /prompt-version","href":"/api-reference/prompt-version/create"},{"title":"Get Prompt Version","openapi":"GET /prompt-version/{id}","href":"/api-reference/prompt-version/get-by-id"},{"title":"Update Prompt Version","openapi":"PATCH /prompt-version/{id}","href":"/api-reference/prompt-version/update"},{"title":"Delete Prompt Version","openapi":"DELETE /prompt-version/{id}","href":"/api-reference/prompt-version/delete"},{"title":"Get the latest version of a canvas","openapi":"GET /prompt/{id}/latest-version","href":"/api-reference/prompt-version/get-prompt-id-latest-version"},{"title":"Get the promoted (production) version of a canvas","openapi":"GET /prompt/{id}/promoted-version","href":"/api-reference/prompt-version/get-prompt-id-promoted-version"},{"title":"List version history of a canvas","openapi":"GET /prompt-version/history","href":"/api-reference/prompt-version/get-prompt-version-history"},{"title":"Get the version index map of a canvas","openapi":"GET /prompt-version/index-map","href":"/api-reference/prompt-version/get-prompt-version-index-map"}]},{"group":"Version messages","pages":[{"title":"List messages of a prompt version","openapi":"GET /prompt-version-message","href":"/api-reference/prompt-version-message/get-prompt-version-message"},{"title":"Create a prompt version message","openapi":"POST /prompt-version-message","href":"/api-reference/prompt-version-message/post-prompt-version-message"},{"title":"Get a prompt version message","openapi":"GET /prompt-version-message/{id}","href":"/api-reference/prompt-version-message/get-prompt-version-message-id"},{"title":"Update a prompt version message","openapi":"PATCH /prompt-version-message/{id}","href":"/api-reference/prompt-version-message/patch-prompt-version-message-id"},{"title":"Delete a prompt version message","openapi":"DELETE /prompt-version-message/{id}","href":"/api-reference/prompt-version-message/delete-prompt-version-message-id"}]},{"group":"Environments","pages":[{"title":"List environments","openapi":"GET /environment","href":"/api-reference/environment/get-environment"},{"title":"Create environment","openapi":"POST /environment","href":"/api-reference/environment/post-environment"},{"title":"List environment publication history","openapi":"GET /environment/versions","href":"/api-reference/environment/get-environment-versions"},{"title":"Get the version published to an environment","openapi":"GET /environment/version","href":"/api-reference/environment/get-environment-version"},{"title":"Publish a version to an environment","openapi":"POST /environment/publish-by-name","href":"/api-reference/environment/post-environment-publish-by-name"},{"title":"Delete environment","openapi":"DELETE /environment/{id}","href":"/api-reference/environment/delete-environment-id"}]},{"group":"Test cases","pages":[{"title":"Retrieve Test Cases","openapi":"GET /test-case","href":"/api-reference/test-case/get"},{"title":"Create Test Cases","openapi":"POST /test-case","href":"/api-reference/test-case/create"},{"title":"Get Test Case by ID","description":"Retrieve a specific test case","openapi":"GET /test-case/{id}","href":"/api-reference/test-case/get-by-id"},{"title":"Update Test Case","openapi":"PATCH /test-case/{id}","href":"/api-reference/test-case/update"},{"title":"Delete Test Case","description":"Remove a test case","openapi":"DELETE /test-case/{id}","href":"/api-reference/test-case/delete"},{"title":"Run a test case","openapi":"POST /test-case/{id}/run","href":"/api-reference/test-case/post-test-case-id-run"},{"title":"Run many test cases","openapi":"POST /test-case/run-all","href":"/api-reference/test-case/post-test-case-run-all"},{"title":"Abort a running test case","openapi":"POST /test-case/{id}/abort","href":"/api-reference/test-case/post-test-case-id-abort"}]},{"group":"Test case tags","pages":[{"title":"Add tags to many test cases","openapi":"POST /test-case/bulk-add-tags","href":"/api-reference/test-case-tag/post-test-case-bulk-add-tags"},{"title":"Remove tags from many test cases","openapi":"POST /test-case/bulk-remove-tags","href":"/api-reference/test-case-tag/post-test-case-bulk-remove-tags"},{"title":"List tags of a test case","openapi":"GET /test-case/{id}/tags","href":"/api-reference/test-case-tag/get-test-case-id-tags"},{"title":"Assign tags to a test case","openapi":"POST /test-case/{id}/tags","href":"/api-reference/test-case-tag/post-test-case-id-tags"},{"title":"Remove a tag from a test case","openapi":"DELETE /test-case/{id}/tags/{tagId}","href":"/api-reference/test-case-tag/delete-test-case-id-tags-tagid"},{"title":"List test case tags of a canvas","openapi":"GET /test-case-tags","href":"/api-reference/test-case-tag/get-test-case-tags"},{"title":"Create a test case tag","openapi":"POST /test-case-tags","href":"/api-reference/test-case-tag/post-test-case-tags"},{"title":"Update a test case tag","openapi":"PATCH /test-case-tags/{id}","href":"/api-reference/test-case-tag/patch-test-case-tags-id"},{"title":"Delete a test case tag","openapi":"DELETE /test-case-tags/{id}","href":"/api-reference/test-case-tag/delete-test-case-tags-id"}]},{"group":"Tasks","pages":[{"title":"Query Tasks","openapi":"POST /task/query","href":"/api-reference/task/query"},{"title":"List tasks","openapi":"GET /task","href":"/api-reference/task/get-task"},{"title":"Create tasks","openapi":"POST /task","href":"/api-reference/task/post-task"},{"title":"Get a task","openapi":"GET /task/{id}","href":"/api-reference/task/get-task-id"},{"title":"Update a task","openapi":"PATCH /task/{id}","href":"/api-reference/task/patch-task-id"},{"title":"Delete a task","openapi":"DELETE /task/{id}","href":"/api-reference/task/delete-task-id"},{"title":"Create a task export job","openapi":"POST /task/export-job","href":"/api-reference/task/post-task-export-job"},{"title":"Get an export job","openapi":"GET /task/export-job/{id}","href":"/api-reference/task/get-task-export-job-id"},{"title":"Get an export download URL","openapi":"GET /task/export-job/{id}/download","href":"/api-reference/task/get-task-export-job-id-download"}]},{"group":"Workstation Events","pages":[{"title":"Create webhook subscription","openapi":"POST /prompt-application/{id}/webhooks","href":"/api-reference/webhook/post-prompt-application-id-webhooks"},{"title":"List webhook subscriptions","openapi":"GET /prompt-application/{id}/webhooks","href":"/api-reference/webhook/get-prompt-application-id-webhooks"},{"title":"List webhook deliveries of an application","openapi":"GET /prompt-application/{id}/webhook-deliveries","href":"/api-reference/webhook/get-prompt-application-id-webhook-deliveries"},{"title":"Get webhook subscription","openapi":"GET /webhook/{webhookId}","href":"/api-reference/webhook/get-webhook-webhookid"},{"title":"Update webhook subscription","openapi":"PATCH /webhook/{webhookId}","href":"/api-reference/webhook/patch-webhook-webhookid"},{"title":"Delete webhook subscription","openapi":"DELETE /webhook/{webhookId}","href":"/api-reference/webhook/delete-webhook-webhookid"},{"title":"Send a test event to a webhook","openapi":"POST /webhook/{webhookId}/test","href":"/api-reference/webhook/post-webhook-webhookid-test"},{"title":"Send a test event to an arbitrary URL","openapi":"POST /webhook/test-url","href":"/api-reference/webhook/post-webhook-test-url"},{"title":"List deliveries of a webhook","openapi":"GET /webhook/{webhookId}/deliveries","href":"/api-reference/webhook/get-webhook-webhookid-deliveries"},{"title":"Resend a webhook delivery","openapi":"POST /webhook-delivery/{deliveryId}/resend","href":"/api-reference/webhook/post-webhook-delivery-deliveryid-resend"}]},{"group":"Workflow runs","pages":[{"title":"List workflow runs","openapi":"GET /workflow/runs","href":"/api-reference/workflow-run/get-workflow-runs"},{"title":"Get a workflow run","openapi":"GET /workflow/runs/{id}","href":"/api-reference/workflow-run/get-workflow-runs-id"},{"title":"Cancel a workflow run","openapi":"POST /workflow/runs/{id}/cancel","href":"/api-reference/workflow-run/post-workflow-runs-id-cancel"}]}]}]},{"language":"pt-BR","tabs":[{"tab":"Documentação","pages":[{"title":"Documentação","href":"/pt/welcome"}]},{"tab":"Referência de API","groups":[{"group":"Introdução","pages":[{"title":"Introduction","icon":"book-open","href":"/api-reference/introduction"}]},{"group":"Completions","pages":[{"title":"Run Canvas","openapi":"POST /v2/chat/completions","href":"/api-reference/completion/create"},{"title":"Retrieve Canvas Run","openapi":"GET /v2/chat/completions/{id}","href":"/api-reference/completion/get"},{"title":"List completion runs","openapi":"GET /v1/completion-run","href":"/api-reference/completion-run/get-v1-completion-run"}]},{"group":"Arquivos","pages":[{"title":"Upload a File","openapi":"POST /v2/file","href":"/api-reference/file/create"},{"title":"Upload a File (v3)","openapi":"POST /v3/files","href":"/api-reference/file/upload"}]},{"group":"Canvases","pages":[{"title":"List canvases","openapi":"GET /prompt","href":"/api-reference/canvas/get-prompt"},{"title":"Get a canvas","openapi":"GET /prompt/{id}","href":"/api-reference/canvas/get-prompt-id"}]},{"group":"Versões","pages":[{"title":"List Prompt Versions","openapi":"GET /prompt-version","href":"/api-reference/prompt-version/get"},{"title":"Create Prompt Version","openapi":"POST /prompt-version","href":"/api-reference/prompt-version/create"},{"title":"Get Prompt Version","openapi":"GET /prompt-version/{id}","href":"/api-reference/prompt-version/get-by-id"},{"title":"Update Prompt Version","openapi":"PATCH /prompt-version/{id}","href":"/api-reference/prompt-version/update"},{"title":"Delete Prompt Version","openapi":"DELETE /prompt-version/{id}","href":"/api-reference/prompt-version/delete"},{"title":"Get the latest version of a canvas","openapi":"GET /prompt/{id}/latest-version","href":"/api-reference/prompt-version/get-prompt-id-latest-version"},{"title":"Get the promoted (production) version of a canvas","openapi":"GET /prompt/{id}/promoted-version","href":"/api-reference/prompt-version/get-prompt-id-promoted-version"},{"title":"List version history of a canvas","openapi":"GET /prompt-version/history","href":"/api-reference/prompt-version/get-prompt-version-history"},{"title":"Get the version index map of a canvas","openapi":"GET /prompt-version/index-map","href":"/api-reference/prompt-version/get-prompt-version-index-map"}]},{"group":"Mensagens de versão","pages":[{"title":"List messages of a prompt version","openapi":"GET /prompt-version-message","href":"/api-reference/prompt-version-message/get-prompt-version-message"},{"title":"Create a prompt version message","openapi":"POST /prompt-version-message","href":"/api-reference/prompt-version-message/post-prompt-version-message"},{"title":"Get a prompt version message","openapi":"GET /prompt-version-message/{id}","href":"/api-reference/prompt-version-message/get-prompt-version-message-id"},{"title":"Update a prompt version message","openapi":"PATCH /prompt-version-message/{id}","href":"/api-reference/prompt-version-message/patch-prompt-version-message-id"},{"title":"Delete a prompt version message","openapi":"DELETE /prompt-version-message/{id}","href":"/api-reference/prompt-version-message/delete-prompt-version-message-id"}]},{"group":"Ambientes","pages":[{"title":"List environments","openapi":"GET /environment","href":"/api-reference/environment/get-environment"},{"title":"Create environment","openapi":"POST /environment","href":"/api-reference/environment/post-environment"},{"title":"List environment publication history","openapi":"GET /environment/versions","href":"/api-reference/environment/get-environment-versions"},{"title":"Get the version published to an environment","openapi":"GET /environment/version","href":"/api-reference/environment/get-environment-version"},{"title":"Publish a version to an environment","openapi":"POST /environment/publish-by-name","href":"/api-reference/environment/post-environment-publish-by-name"},{"title":"Delete environment","openapi":"DELETE /environment/{id}","href":"/api-reference/environment/delete-environment-id"}]},{"group":"Casos de teste","pages":[{"title":"Retrieve Test Cases","openapi":"GET /test-case","href":"/api-reference/test-case/get"},{"title":"Create Test Cases","openapi":"POST /test-case","href":"/api-reference/test-case/create"},{"title":"Get Test Case by ID","description":"Retrieve a specific test case","openapi":"GET /test-case/{id}","href":"/api-reference/test-case/get-by-id"},{"title":"Update Test Case","openapi":"PATCH /test-case/{id}","href":"/api-reference/test-case/update"},{"title":"Delete Test Case","description":"Remove a test case","openapi":"DELETE /test-case/{id}","href":"/api-reference/test-case/delete"},{"title":"Run a test case","openapi":"POST /test-case/{id}/run","href":"/api-reference/test-case/post-test-case-id-run"},{"title":"Run many test cases","openapi":"POST /test-case/run-all","href":"/api-reference/test-case/post-test-case-run-all"},{"title":"Abort a running test case","openapi":"POST /test-case/{id}/abort","href":"/api-reference/test-case/post-test-case-id-abort"}]},{"group":"Tags de casos de teste","pages":[{"title":"Add tags to many test cases","openapi":"POST /test-case/bulk-add-tags","href":"/api-reference/test-case-tag/post-test-case-bulk-add-tags"},{"title":"Remove tags from many test cases","openapi":"POST /test-case/bulk-remove-tags","href":"/api-reference/test-case-tag/post-test-case-bulk-remove-tags"},{"title":"List tags of a test case","openapi":"GET /test-case/{id}/tags","href":"/api-reference/test-case-tag/get-test-case-id-tags"},{"title":"Assign tags to a test case","openapi":"POST /test-case/{id}/tags","href":"/api-reference/test-case-tag/post-test-case-id-tags"},{"title":"Remove a tag from a test case","openapi":"DELETE /test-case/{id}/tags/{tagId}","href":"/api-reference/test-case-tag/delete-test-case-id-tags-tagid"},{"title":"List test case tags of a canvas","openapi":"GET /test-case-tags","href":"/api-reference/test-case-tag/get-test-case-tags"},{"title":"Create a test case tag","openapi":"POST /test-case-tags","href":"/api-reference/test-case-tag/post-test-case-tags"},{"title":"Update a test case tag","openapi":"PATCH /test-case-tags/{id}","href":"/api-reference/test-case-tag/patch-test-case-tags-id"},{"title":"Delete a test case tag","openapi":"DELETE /test-case-tags/{id}","href":"/api-reference/test-case-tag/delete-test-case-tags-id"}]},{"group":"Tarefas","pages":[{"title":"Query Tasks","openapi":"POST /task/query","href":"/api-reference/task/query"},{"title":"List tasks","openapi":"GET /task","href":"/api-reference/task/get-task"},{"title":"Create tasks","openapi":"POST /task","href":"/api-reference/task/post-task"},{"title":"Get a task","openapi":"GET /task/{id}","href":"/api-reference/task/get-task-id"},{"title":"Update a task","openapi":"PATCH /task/{id}","href":"/api-reference/task/patch-task-id"},{"title":"Delete a task","openapi":"DELETE /task/{id}","href":"/api-reference/task/delete-task-id"},{"title":"Create a task export job","openapi":"POST /task/export-job","href":"/api-reference/task/post-task-export-job"},{"title":"Get an export job","openapi":"GET /task/export-job/{id}","href":"/api-reference/task/get-task-export-job-id"},{"title":"Get an export download URL","openapi":"GET /task/export-job/{id}/download","href":"/api-reference/task/get-task-export-job-id-download"}]},{"group":"Eventos da Workstation","pages":[{"title":"Create webhook subscription","openapi":"POST /prompt-application/{id}/webhooks","href":"/api-reference/webhook/post-prompt-application-id-webhooks"},{"title":"List webhook subscriptions","openapi":"GET /prompt-application/{id}/webhooks","href":"/api-reference/webhook/get-prompt-application-id-webhooks"},{"title":"List webhook deliveries of an application","openapi":"GET /prompt-application/{id}/webhook-deliveries","href":"/api-reference/webhook/get-prompt-application-id-webhook-deliveries"},{"title":"Get webhook subscription","openapi":"GET /webhook/{webhookId}","href":"/api-reference/webhook/get-webhook-webhookid"},{"title":"Update webhook subscription","openapi":"PATCH /webhook/{webhookId}","href":"/api-reference/webhook/patch-webhook-webhookid"},{"title":"Delete webhook subscription","openapi":"DELETE /webhook/{webhookId}","href":"/api-reference/webhook/delete-webhook-webhookid"},{"title":"Send a test event to a webhook","openapi":"POST /webhook/{webhookId}/test","href":"/api-reference/webhook/post-webhook-webhookid-test"},{"title":"Send a test event to an arbitrary URL","openapi":"POST /webhook/test-url","href":"/api-reference/webhook/post-webhook-test-url"},{"title":"List deliveries of a webhook","openapi":"GET /webhook/{webhookId}/deliveries","href":"/api-reference/webhook/get-webhook-webhookid-deliveries"},{"title":"Resend a webhook delivery","openapi":"POST /webhook-delivery/{deliveryId}/resend","href":"/api-reference/webhook/post-webhook-delivery-deliveryid-resend"}]},{"group":"Execuções de workflow","pages":[{"title":"List workflow runs","openapi":"GET /workflow/runs","href":"/api-reference/workflow-run/get-workflow-runs"},{"title":"Get a workflow run","openapi":"GET /workflow/runs/{id}","href":"/api-reference/workflow-run/get-workflow-runs-id"},{"title":"Cancel a workflow run","openapi":"POST /workflow/runs/{id}/cancel","href":"/api-reference/workflow-run/post-workflow-runs-id-cancel"}]}]}]}]},"basePath":"","title":"Update Test Case - Tela","buildId":"dpl_596ePT575z4qnAFksq1biRW97aLY","deploymentId":"dpl_596ePT575z4qnAFksq1biRW97aLY","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C9Wu0MeN.js","utils-jWgu-6Qf.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DBD8f9qn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BGuX1ui5.js","snippetPresets-Evy63nQB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BQHO1lnV.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-B6C8m-t_.js","shallow-BG4cT0fH.js","getApiPlaygroundDisplay-CgEPrE-D.js","CodeSnippet-CU8JyZ9N.js","CodeSnippets-BnxHU32T.js","Page-D6S0Yh6q.js","getPastedJson-CwiYOonh.js","icon-DYDpWmDf.js","MethodPill-C-J-l7_c.js","DuplicateIcon-B6ARwg9w.js","createIcon-Dsv4MtDq.js","DynamicMarkdown-CtasenyM.js","SectionHeading-YNcgYwjB.js","axios-vUo_bRtp.js","Markdown-CwLx6PAg.js","clsx-C3kuh_dz.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CmKHfscc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-U3mI6Ljh.js"]}